svn commit: r266823 - user/nwhitehorn/condorports

Nathan Whitehorn nwhitehorn at FreeBSD.org
Thu May 29 00:42:58 UTC 2014


Author: nwhitehorn
Date: Thu May 29 00:42:57 2014
New Revision: 266823
URL: http://svnweb.freebsd.org/changeset/base/266823

Log:
  Security enhancements I had as local diffs.

Modified:
  user/nwhitehorn/condorports/prepbuildjail

Modified: user/nwhitehorn/condorports/prepbuildjail
==============================================================================
--- user/nwhitehorn/condorports/prepbuildjail	Wed May 28 23:01:20 2014	(r266822)
+++ user/nwhitehorn/condorports/prepbuildjail	Thu May 29 00:42:57 2014	(r266823)
@@ -11,7 +11,7 @@ case $release in
 	*[^a-zA-Z0-9]* ) echo "Non-alphanumeric release $release"; exit 1
 esac
 case $ports in
-	*[^a-zA-Z0-9/-]* ) echo "Non-alphanumeric ports $ports"; exit 1
+	*[^a-zA-Z0-9]* ) echo "Non-alphanumeric ports $ports"; exit 1
 esac
 if [ -z "$slot" -o -z "$release" ]; then
 	echo "Zero-length slot or release"
@@ -32,8 +32,6 @@ cleanup() {
 set -e
 trap cleanup EXIT
 
-#TODO: localhost networking
-
 set -o noclobber
 echo > /scratch/$slot.lock
 
@@ -53,10 +51,10 @@ mkdir -p /scratch/$slot
 mount -t tmpfs tmpfs /scratch/$slot
 
 #cp -a /scratch/$release/ /scratch/$slot
-tar -C /scratch/$slot -xf /scratch/$release.tar
-if [ -n "$ports" ]; then
-	mkdir -p /scratch/$slot/$ports
-	echo "$ports /scratch/$slot/$ports nullfs ro 0 0" >> /scratch/$slot.fstab
+tar -C /scratch/$slot -xf /buildshare/releases/$release.tar
+if [ -n "/buildshare/ports/$ports" ]; then
+	mkdir -p /scratch/$slot/buildshare/$ports
+	echo "/buildshare/ports/$ports /scratch/$slot/buildshare/ports/$ports nullfs ro 0 0" >> /scratch/$slot.fstab
 fi
 
 jail -f /scratch/$slot.conf -c $slot


More information about the svn-src-user mailing list